@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@300&display=swap");
html {
  height: -webkit-fill-available;
}

* {
  font-family: Montserrat;
  font-weight: 300;
  color: white;
  transition: all 300ms;
}

body {
  margin: 0;
  background: linear-gradient(to right top, #ea8dea, #ca96f6, #a89dfb, #85a3fa, #62a7f3, #45b1f5, #25baf2, #00c2ed, #00d3eb, #00e3dc, #00f1c0, #5ffb9c);
}

h1 {
  position: absolute;
  top: 10%;
  left: 50%;
  font-size: 3em;
  letter-spacing: 5px;
}

.menu-icon {
  position: absolute;
  z-index: 1;
  padding: 20px;
}

nav {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: absolute;
  margin: 0;
  opacity: 0;
  height: -webkit-fill-available;
  z-index: 0;
  font-size: 1.5em;
}
nav div {
  margin: 10px 0;
  transition: all 300ms;
}
nav div:hover {
  font-size: 2em;
}

.menu-icon:hover + nav,
nav:hover {
  animation: slide 500ms ease-out 200ms forwards;
}

@keyframes slide {
  0% {
    width: 0;
    border: 3px white solid;
    opacity: 1;
    background: linear-gradient(to left bottom, #a7aabc, #b2a4c6, #ca99c3, #e48db2, #f88292);
    clip-path: polygon(0% 0%, 92.5% 0%, 87.3% 30%, 95.5% 61.5%, 87% 99.8%, 0% 100%);
  }
  100% {
    width: 300px;
    opacity: 1;
    background: linear-gradient(to left bottom, #a7aabc, #b2a4c6, #ca99c3, #e48db2, #f88292);
    clip-path: polygon(0% 0%, 92.5% 0%, 87.3% 30%, 95.5% 61.5%, 87% 99.8%, 0% 100%);
  }
}